using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.StoragesContracts
{
    public interface IDealStorage
    {
        List<DealViewModel> GetFullList();
        List<DealViewModel> GetFilteredList(DealSearchModel model);
        DealViewModel? GetElement(DealSearchModel model);
        DealViewModel? Insert(DealBindingModel model);
        DealViewModel? Update(DealBindingModel model);
        DealViewModel? Delete(DealBindingModel model);
    }
}
